 /**
 *******************************************************************************
 * @file    main.c
 * @brief   The demo functions of FC for the 
 *          TOSHIBA 'TMPM364' Device Series.
 * @version V0.101
 * @date    2014/05/20
 * 
 * DO NOT USE THIS SOFTWARE WITHOUT THE SOFTWARE LICENSE AGREEMENT.
 * 
 * (C)Copyright TOSHIBA ELECTRONIC DEVICES & STORAGE CORPORATION 2017 All rights reserved
 *******************************************************************************
 */

/* Includes ------------------------------------------------------------------*/

#include "tmpm364_fc.h"

int main(void)
{
    FunctionalState tmp_value_sec0, tmp_value_sec1, tmp_value_block;
    uint32_t ret_0 = 0U, ret_1 = 0U,ret_2 = 0U;

    while (1) {
        /* Set security function "ENABLE" */
        FC_SetSecurityBit(ENABLE);

        /* Get security register value */
        tmp_value_sec0 = FC_GetSecurityBit();
        if (tmp_value_sec0 != ENABLE) {
            ret_0 = 1U;
        }

        /* Set security function "DISABLE" */
        FC_SetSecurityBit(DISABLE);

        /* Get security register value */
        tmp_value_sec1 = FC_GetSecurityBit();
        if (tmp_value_sec1 != DISABLE) {
            ret_1 = 1U;
        }

        /* Get Block 0 Protection status */
        tmp_value_block = FC_GetBlockProtectState(FC_BLOCK_0);

        if (tmp_value_block != DISABLE) {
            ret_2 = 1U;
        }
        
        /* Wait for Ready */
        while (FC_GetBusyState() != DONE) {
            /* Do nothing */
        };
    }
}



#ifdef DEBUG
void assert_failed(char *file, int32_t line)
{
    while (1) {
        __NOP();
    }
}
#endif
