/**
 *******************************************************************************
 * @file    main.c
 * @brief   The application functions of UART11 to HyperTerminal demo for the 
 *          TOSHIBA 'TMPM364' Device Series
 * @version V0.101
 * @date    2014/05/20
 * 
 * DO NOT USE THIS SOFTWARE WITHOUT THE SOFTWARE LICENSE AGREEMENT.
 * 
 * (C)Copyright TOSHIBA ELECTRONIC DEVICES & STORAGE CORPORATION 2017 All rights reserved
 *******************************************************************************
 */
#include "tmpm364_uart.h"

#define UART UART11
#define BufSize (sizeof(TxBuffer) / sizeof(*(TxBuffer)))

uint8_t TxBuffer[] = "TMPM364";
const uint8_t NumToBeTx = BufSize - 1U;
uint8_t TxCounter = 0U;
UART_InitTypeDef myUART;

void SIO_Configuration(TSB_SC_TypeDef * SCx);

int main(void)
{
    SIO_Configuration(UART);

    myUART.BaudRate = 115200U;
    myUART.DataBits = UART_DATA_BITS_8;
    myUART.StopBits = UART_STOP_BITS_1;
    myUART.Parity = UART_NO_PARITY;
    myUART.Mode = UART_ENABLE_RX | UART_ENABLE_TX;
    myUART.FlowCtrl = UART_NONE_FLOW_CTRL;

    UART_Enable(UART);
    UART_Init(UART, &myUART);

    NVIC_EnableIRQ(INTTX11_IRQn);
    
    UART_SetTxData(UART, (uint32_t) (TxBuffer[TxCounter++]));
    while (1) {
        /* Do nothing */
    }
}

void SIO_Configuration(TSB_SC_TypeDef * SCx)
{
    if (SCx == UART11) {
        TSB_PD_CR_PD4C = 1U;
        TSB_PD_FR2_PD4F2 = 1U;
        TSB_PD_FR2_PD5F2 = 1U;
        TSB_PD_IE_PD5IE = 1U;
    } else {
        /* Do nothing */
    }
}

#ifdef DEBUG
void assert_failed(char *file, int32_t line)
{
    while (1) {
        __NOP();
    }
}
#endif
