/**
 *******************************************************************************
 * @file    tmpm364_uart_int.c
 * @brief   All interrupt request functions definition of UART (Serial Channel)
 *          for the TOSHIBA 'TMPM364' Device Series
 * @version V0.101
 * @date    2014/05/20
 * 
 * DO NOT USE THIS SOFTWARE WITHOUT THE SOFTWARE LICENSE AGREEMENT.
 * 
 * (C)Copyright TOSHIBA ELECTRONIC DEVICES & STORAGE CORPORATION 2017 All rights reserved
 *******************************************************************************
 */

/* Includes ------------------------------------------------------------------*/
#include "tmpm364_uart_int.h"

extern const uint8_t NumToBeTx;
extern uint8_t TxBuffer[];
extern uint8_t TxCounter;

/**
  * @brief  The transmission interrupt request function of UART channel 11.
  * @param  None
  * @retval None
  */
void INTTX11_IRQHandler(void)
{
    volatile UART_Err err;

    if (TxCounter < NumToBeTx) {
        UART_SetTxData(UART11, TxBuffer[TxCounter++]);
    } else {
        err = UART_GetErrState(UART11);
    }
}
