/**
 ******************************************************************************
 * @file     led.h
 * @brief    LED driver for the TOSHIBA TMPM36x Device Series
 * @version  V0.101
 * @date     2014/05/20
 * 
 * DO NOT USE THIS SOFTWARE WITHOUT THE SOFTWARE LICENSE AGREEMENT.
 * 
 * (C)Copyright TOSHIBA ELECTRONIC DEVICES & STORAGE CORPORATION 2017 All rights reserved
 ******************************************************************************
 */
#ifndef __LED_H
#define __LED_H

#include "TMPM364.h"

/* Private typedef -----------------------------------------------------------*/
/* Private define ------------------------------------------------------------*/

#define LEDALL_OFF    ((uint8_t)0x00)
#define LEDALL_ON     ((uint8_t)0xf0)

#define LED1     ((uint8_t)0x01)
#define LED2     ((uint8_t)0x02)
#define LED3     ((uint8_t)0x04)
#define LED4     ((uint8_t)0x08)

/* Private macro -------------------------------------------------------------*/
/* Private variables ---------------------------------------------------------*/
/* external variables --------------------------------------------------------*/
/* Exported functions ------------------------------------------------------- */
void LED_IO(void);
void LED_Display(uint8_t ucLED);
void LED_Configuration(void);
void LED_On(uint8_t ucLED);
void LED_Off(uint8_t ucLED);
void LED_Toggle(uint8_t ucLED);

#endif                          /* LED_H */
