/**
 *******************************************************************************
 * @file    tmpm364_wdt_int.c
 * @brief   All interrupt request functions definition of WDT
 *          for the TOSHIBA 'TMPM364' Device Series
 * @version V0.101
 * @date    2014/05/20
 * 
 * DO NOT USE THIS SOFTWARE WITHOUT THE SOFTWARE LICENSE AGREEMENT.
 * 
 * (C)Copyright TOSHIBA ELECTRONIC DEVICES & STORAGE CORPORATION 2017 All rights reserved
 *******************************************************************************
 */

/* Includes ------------------------------------------------------------------*/
#include "tmpm364_wdt_int.h"
uint8_t uCont = 0U;

/**
  * @brief  The NMI interrupt request function.
  * @param  None
  * @retval None
  */
void NMI_Handler(void)
{
    uint8_t uRegVal = 0U;
    uRegVal = (uint8_t) TSB_CG->NMIFLG;
    switch (uRegVal) {
    case FLG_WDT:
        uCont++;
        LED_Toggle(LED1);
        if (uCont == 5U) {
            WDT_Disable();
            uCont = 0U;
        }
        break;
    case FLG_NMI:
        /* Do nothing */
        break;
    default:
        /* Do nothing */
        break;
    }
}
